asn1_object_id_der(3)

NAME
asn1_object_id_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_object_id_der(const char * str, unsigned char * der, int * der_len, unsigned flags);

ARGUMENTS

const char * str
    An object identifier in numeric, dot format.

unsigned char * der
    buffer to hold the returned encoding (may be NULL).

int * der_len
    initially the size of der ; will hold the final size.

unsigned flags
    must be zero

DESCRIPTION
Creates the DER encoding of the provided object identifier.

RETURNS
ASN1_SUCCESS if DER encoding was OK, ASN1_VALUE_NOT_VALID if str is not a valid OID, ASN1_MEM_ERROR if the der vector isn't big enough and in this case der_len will contain the length needed.

COPYRIGHT
Copyright © 2006-2021 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/